##### basic_file::open (1 of 4 overloads)

Open the file using the specified path.

    void open(
        const char * path,
        file_base::flags open_flags);

This function opens the file so that it will use the specified path.

###### Parameters

path

  The path name identifying the file to be opened.

open_flags

  A set of flags that determine how the file should be opened.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Example

    asio::stream_file file(my_context);
    file.open("/path/to/my/file", asio::stream_file::read_only);